Package org.eclipse.m2m.atl.adt.ui.text

## Class AtlPairMatcher

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.text.AtlPairMatcher

All Implemented Interfaces:
  `org.eclipse.jface.text.source.ICharacterPairMatcher`

    public class AtlPairMatcher
    extends java.lang.Object
    implements org.eclipse.jface.text.source.ICharacterPairMatcher

This class will help for matching pairs of characters.

### Field Summary

### Fields inherited from interface org.eclipse.jface.text.source.ICharacterPairMatcher

`LEFT, RIGHT`

### Constructor Summary

Constructors
`AtlPairMatcher​(char[] pairs)` Creates a new instance of the ATL pair matcher.
`AtlPairMatcher​(java.lang.String[] pairs)` Creates a new instance of the ATL pair matcher.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`void` `dispose()`
`int` `getAnchor()`
`char` `getMatchingPair​(char singleton)`
`org.eclipse.jface.text.IRegion` `match​(org.eclipse.jface.text.IDocument iDocument, int i)`
`protected boolean` `matchPairsAt()`
`int` `searchForClosingPeer​(int offset, int openingPeer, int closingPeer, org.eclipse.jface.text.IDocument document)`
`int` `searchForOpeningPeer​(int offset, int openingPeer, int closingPeer, org.eclipse.jface.text.IDocument document)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlPairMatcher

    public AtlPairMatcher​(char[] pairs)

Creates a new instance of the ATL pair matcher.

Parameters:
  `pairs` - the character to match.

#### AtlPairMatcher

    public AtlPairMatcher​(java.lang.String[] pairs)

Creates a new instance of the ATL pair matcher.

Parameters:
  `pairs` - the character to match.

### Method Detail

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.eclipse.jface.text.source.ICharacterPairMatcher`
See Also:
  `ICharacterPairMatcher.clear()`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.text.source.ICharacterPairMatcher`
See Also:
  `ICharacterPairMatcher.dispose()`

#### getAnchor

    public int getAnchor()

Specified by:
  `getAnchor` in interface `org.eclipse.jface.text.source.ICharacterPairMatcher`
See Also:
  `ICharacterPairMatcher.getAnchor()`

#### getMatchingPair

    public char getMatchingPair​(char singleton)

#### match

    public org.eclipse.jface.text.IRegion match​(org.eclipse.jface.text.IDocument iDocument,
                                                int i)

Specified by:
  `match` in interface `org.eclipse.jface.text.source.ICharacterPairMatcher`
See Also:
  `ICharacterPairMatcher.match(org.eclipse.jface.text.IDocument, int)`

#### matchPairsAt

    protected boolean matchPairsAt()

#### searchForClosingPeer

    public int searchForClosingPeer​(int offset,
                                    int openingPeer,
                                    int closingPeer,
                                    org.eclipse.jface.text.IDocument document)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### searchForOpeningPeer

    public int searchForOpeningPeer​(int offset,
                                    int openingPeer,
                                    int closingPeer,
                                    org.eclipse.jface.text.IDocument document)
                             throws java.io.IOException

Throws:
  `java.io.IOException`